<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>bundleid</key>
	<string></string>
	<key>connections</key>
	<dict>
		<key>48FB289A-B82F-4909-A683-16230DC77E48</key>
		<array>
			<dict>
				<key>destinationuid</key>
				<string>63621A9E-8AAF-499D-B201-E1CAAC145B8A</string>
				<key>modifiers</key>
				<integer>0</integer>
				<key>modifiersubtext</key>
				<string></string>
				<key>vitoclose</key>
				<false/>
			</dict>
		</array>
		<key>4A8416E3-0647-48A7-A297-C08E29B51F61</key>
		<array>
			<dict>
				<key>destinationuid</key>
				<string>48FB289A-B82F-4909-A683-16230DC77E48</string>
				<key>modifiers</key>
				<integer>0</integer>
				<key>modifiersubtext</key>
				<string></string>
				<key>vitoclose</key>
				<false/>
			</dict>
		</array>
		<key>63621A9E-8AAF-499D-B201-E1CAAC145B8A</key>
		<array>
			<dict>
				<key>destinationuid</key>
				<string>BBDA41AF-C6E5-47AE-B610-1C1AAEE132C9</string>
				<key>modifiers</key>
				<integer>0</integer>
				<key>modifiersubtext</key>
				<string></string>
				<key>vitoclose</key>
				<false/>
			</dict>
		</array>
	</dict>
	<key>createdby</key>
	<string>Timmy</string>
	<key>description</key>
	<string>台灣化文字轉換器</string>
	<key>disabled</key>
	<false/>
	<key>name</key>
	<string>TextTaiwanizer</string>
	<key>objects</key>
	<array>
		<dict>
			<key>config</key>
			<dict>
				<key>argumenttype</key>
				<integer>2</integer>
				<key>keyword</key>
				<string>text_taiwanizer</string>
				<key>subtext</key>
				<string></string>
				<key>text</key>
				<string>台灣化文字轉換器</string>
				<key>withspace</key>
				<false/>
			</dict>
			<key>type</key>
			<string>alfred.workflow.input.keyword</string>
			<key>uid</key>
			<string>4A8416E3-0647-48A7-A297-C08E29B51F61</string>
			<key>version</key>
			<integer>1</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>autopaste</key>
				<false/>
				<key>clipboardtext</key>
				<string>{query}</string>
				<key>ignoredynamicplaceholders</key>
				<false/>
				<key>transient</key>
				<false/>
			</dict>
			<key>type</key>
			<string>alfred.workflow.output.clipboard</string>
			<key>uid</key>
			<string>63621A9E-8AAF-499D-B201-E1CAAC145B8A</string>
			<key>version</key>
			<integer>3</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>concurrently</key>
				<false/>
				<key>escaping</key>
				<integer>68</integer>
				<key>script</key>
				<string>import json
import sys

import pyperclip
import requests


def convert_text_taiwan(text):
    url = "https://api.zhconvert.org/convert"
    params = {
        "converter": "Taiwan",
        "prettify": 1,
        "userProtectReplace": "容器",
        "text": text,
        "modules": json.dumps(
            {
                "ChineseVariant": 1,
                "Computer": 1,
                "Smooth": 1,
                "EllipsisMark": 1,
                "Unit": 1,
                "ProperNoun": 1,
                "GanToZuo": 1,
                "QuotationMark": 1,
                "Mythbusters": 1,
                "OnePiece": 1,
                "Naruto": 1,
                "HunterXHunter": 1,
                "TengTong": 1,
                "RemoveSpaces": 1,
                "Pocketmon": 1,
                "VioletEvergarden": 1,
                "InternetSlang": 1,
                "EngNumFWToHW": 1,
                "Repeat": 1,
                "RepeatAutoFix": 1,
                "Gundam": 1,
                "Typo": 1,
                "TransliterationToTranslation": 1,
            }
        ),
    }
    headers = {"Content-Type": "application/json"}

    response = requests.get(url, params=params, headers=headers)
    response_json = response.json()

    converted_text = response_json["data"]["text"]

    return converted_text


input_text = pyperclip.paste()
converted_text = convert_text_taiwan(input_text)

sys.stdout.write(converted_text)</string>
				<key>scriptargtype</key>
				<integer>1</integer>
				<key>scriptfile</key>
				<string></string>
				<key>type</key>
				<integer>9</integer>
			</dict>
			<key>type</key>
			<string>alfred.workflow.action.script</string>
			<key>uid</key>
			<string>48FB289A-B82F-4909-A683-16230DC77E48</string>
			<key>version</key>
			<integer>2</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>lastpathcomponent</key>
				<false/>
				<key>onlyshowifquerypopulated</key>
				<true/>
				<key>removeextension</key>
				<false/>
				<key>text</key>
				<string>Copied!</string>
				<key>title</key>
				<string></string>
			</dict>
			<key>type</key>
			<string>alfred.workflow.output.notification</string>
			<key>uid</key>
			<string>BBDA41AF-C6E5-47AE-B610-1C1AAEE132C9</string>
			<key>version</key>
			<integer>1</integer>
		</dict>
	</array>
	<key>readme</key>
	<string></string>
	<key>uidata</key>
	<dict>
		<key>48FB289A-B82F-4909-A683-16230DC77E48</key>
		<dict>
			<key>xpos</key>
			<real>240</real>
			<key>ypos</key>
			<real>145</real>
		</dict>
		<key>4A8416E3-0647-48A7-A297-C08E29B51F61</key>
		<dict>
			<key>xpos</key>
			<real>75</real>
			<key>ypos</key>
			<real>145</real>
		</dict>
		<key>63621A9E-8AAF-499D-B201-E1CAAC145B8A</key>
		<dict>
			<key>xpos</key>
			<real>395</real>
			<key>ypos</key>
			<real>145</real>
		</dict>
		<key>BBDA41AF-C6E5-47AE-B610-1C1AAEE132C9</key>
		<dict>
			<key>xpos</key>
			<real>550</real>
			<key>ypos</key>
			<real>145</real>
		</dict>
	</dict>
	<key>userconfigurationconfig</key>
	<array/>
	<key>webaddress</key>
	<string></string>
</dict>
</plist>
